This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 835986

Summary: preupgrade failed to upgrade many packages when upgrading from F16 to Fedora 17 (F17)
Product: [Fedora] Fedora Reporter: zimon <zimon>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 17CC: hughsient
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 20:44:46 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description zimon 2012-06-27 14:26:08 EDT
Description of problem:
When trying to use vim first time after upgrading from F16 to F17 with preupgrade, vim couldn't start because missing software library (version):
"
# vim /etc/hosts
vim: error while loading shared libraries: libruby.so.1.8: cannot open shared object file: No such file or directory

# ldd `which vim`
...
        libruby.so.1.8 => not found
...
# rpm -qV vim-enhanced
Unsatisfied dependencies for vim-enhanced-2:7.3.515-2.fc16.x86_64:
        libruby.so.1.8()(64bit) is needed by (installed) vim-enhanced-2:7.3.515-2.fc16.x86_64   
....L....    /usr/bin/ex
prelink: /usr/bin/vim: Could not find one of the dependencies
prelink: /usr/bin/vim: at least one of file's dependencies has changed since prelinking
S.?......    /usr/bin/vim
# yum remove vim-enhanced-2:7.3.515-2.fc16.x86_64
"

Then when trying to reinstall vim-enhanced (f17 version this time), yum noticed other problems:

"
yum install vim-enhanced
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package vim-enhanced.x86_64 2:7.3.515-1.fc17 will be installed
--> Processing Dependency: vim-common = 2:7.3.515-1.fc17 for package: 2:vim-enhanced-7.3.515-1.fc17.x86_64
--> Finished Dependency Resolution
Error: Package: 2:vim-enhanced-7.3.515-1.fc17.x86_64 (updates)
           Requires: vim-common = 2:7.3.515-1.fc17
           Installed: 2:vim-common-7.3.515-2.fc16.x86_64 (@updates/16)
               vim-common = 2:7.3.515-2.fc16
           Available: 2:vim-common-7.3.444-1.fc17.x86_64 (fedora)
               vim-common = 2:7.3.444-1.fc17
           Available: 2:vim-common-7.3.515-1.fc17.x86_64 (updates)
               vim-common = 2:7.3.515-1.fc17
 You could try using --skip-broken to work around the problem
** Found 4 pre-existing rpmdb problem(s), 'yum check' output follows:
spotify-client-qt-0.6.1.309.gb871a7d-2.x86_64 has missing requires of libcrypto.so.0.9.8()(64bit)
spotify-client-qt-0.6.1.309.gb871a7d-2.x86_64 has missing requires of libcrypto.so.0.9.8(OPENSSL_0.9.8)(64bit)
spotify-client-qt-0.6.1.309.gb871a7d-2.x86_64 has missing requires of libssl.so.0.9.8()(64bit)
spotify-client-qt-0.6.1.309.gb871a7d-2.x86_64 has missing requires of libssl.so.0.9.8(OPENSSL_0.9.8)(64bit)
"

Also rpm+yum seems to be rather confused, claiming vim*.fc17 would be installed and again would not be installed but fc16-version would be:

# rpm -qa vim*
vim-common-7.3.515-2.fc16.x86_64
vim-filesystem-7.3.515-2.fc16.x86_64
vim-minimal-7.3.515-2.fc16.x86_64
# yum install vim-common
Loaded plugins: langpacks, presto, refresh-packagekit
Package matching 2:vim-common-7.3.515-1.fc17.x86_64 already installed. Checking for update.
Nothing to do

Fixed vim by removing all vim-* packages and then reinstalling them, when correct fc17 packages were get. 

(Maybe the problem is not in preupgrade, but in yum or in vim packages?)
Comment 1 Fedora End Of Life 2013-07-03 18:41:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 20:44:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.